#include <bits/stdc++.h>
using namespace std;
using ll=long long;
int main(){
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n,k,x;
    cin>>n>>k>>x;
    vector<ll> p(n);
    vector<ll> pref(n+1, 0);
    for(int i=0; i<n; i++){
        cin>>p[i];
        pref[i+1]=pref[i]+p[i];
    }
    for(int i=0; i<=n-k; i++){
        int l=i;
        int r=i+k-1;
        ll osn_s=pref[r+1]-pref[l];
        vector<ll> suf;
        for(int j=0; j<k; j++){
            ll tren_suf=0;
            if(l+j+1<r){
                tren_suf=pref[r+1]-pref[l+j+1];
            }
            suf.push_back(tren_suf);
        }
        sort(suf.rbegin(), suf.rend());
        ll ultra_max_sigma_aura=osn_s;
        for(int j=0; j<x-1; j++){
            ultra_max_sigma_aura+=suf[j];
        }
        cout<<ultra_max_sigma_aura<<" ";
        cout<<'\n';
    }
}